## Series

### Description

The Series object is an invisible object which contains a series of data points to be displayed on a Chart object. It must always be the child of a Chart.

As well as containing the data which is to be displayed on the chart, it also has attributes for customizing the appearance of the series.

For full details, see the separate section on the Chart and Series Objects

### Example

         ’DEMO_Chart;labels;W
    [1]   © Sample bar chart (See workspace 10 SAMPLESCHART for more examples)
    [2]   W„'Œ' ŒNEW 'Window' ª W.title„'Beer Consumption' ª W.visible„3
    [3]   W.Ch.New 'Chart' ª W.Ch.align„¯1 ª W.Ch.type„'bar'
    [4]   W.Ch.title„'Thirsty people'
    [5]   W.Ch.subtitle„'Beer sales per head of population'
    [6]   W.Ch.note„'Source: The Economist Pocket World in Figures, 2004'
    [7]   W.Ch.yaxislabel„'Retail Sales per head, litres'
    [8]   W.Ch.s1.New 'Series' ª W.Ch.s1.color„374479
    [9]   W.Ch.s1.values„85.8 76.7 73.9 69.9 69.7 66.6 64.7 64.5 49 40.2 38.6 31.7
    [10]  labels„'Czech Republic' 'Venezuela' 'Germany' 'Denmark' 'S.Africa'
    [11]  labels„labels,'Austria' 'US' 'Australia' 'Canada' 'Belgium' 'Japan' 'UK'
    [12]  W.Ch.xlabels„labels
    [13]  ©
    [14]  © Wait for the user to close the window
    [15]  0 0½ŒWE W
         ’

### Properties

caption children class closevalues color colormarker data enabled events fillmarker fillpattern highvalues linetype linewidth lowvalues marker methods name opened openvalues properties self tie type usealtscale values visible xvalues yvalues

### Methods

Close Create Delete Hide New Open Send Set Show Trigger

### Callbacks

onClose onDestroy onOpen onSend

Topic: APLX Help : System Classes : List of Classes : Series

[ Previous | Next | Contents | Index ]